sidebarNodes={"extras":[{"id":"api-reference","title":"API Reference","group":"","headers":[{"id":"Modules","anchor":"modules"},{"id":"Exceptions","anchor":"exceptions"}]},{"id":"readme","title":"Basic usage of the Chi2fit package","group":"","headers":[{"id":"Example notebooks","anchor":"example-notebooks"},{"id":"Elixir tutorial","anchor":"elixir-tutorial"},{"id":"Chi2fit Package","anchor":"chi2fit-package"},{"id":"Available functions","anchor":"available-functions"},{"id":"Help","anchor":"help"},{"id":"Additional packages","anchor":"additional-packages"},{"id":"Usage","anchor":"usage"},{"id":"Special atoms","anchor":"special-atoms"},{"id":"Inline images","anchor":"inline-images"},{"id":"Command history","anchor":"command-history"}]},{"id":"forecasting-empirical-data","title":"Forecasting - based on empirical data","group":"","headers":[{"id":"How to use this notebook","anchor":"how-to-use-this-notebook"},{"id":"Table of contents","anchor":"table-of-contents"},{"id":"Set-up","anchor":"set-up"},{"id":"Data and simulation set-up","anchor":"data-and-simulation-set-up"},{"id":"Simple forecast using the empirical data","anchor":"simple-forecast-using-the-empirical-data"},{"id":"References","anchor":"references"}]},{"id":"forecasting-fit-to-known-distribution","title":"Forecasting - fit to a known distribution","group":"","headers":[{"id":"Table of contents","anchor":"table-of-contents"},{"id":"Set-up","anchor":"set-up"},{"id":"Data and simulation set-up","anchor":"data-and-simulation-set-up"},{"id":"Preparation","anchor":"preparation"},{"id":"Forecasting using a Poisson distribution","anchor":"forecasting-using-a-poisson-distribution"},{"id":"Rate error propagation: Total Monte Carlo","anchor":"rate-error-propagation-total-monte-carlo"},{"id":"References","anchor":"references"}]},{"id":"forecasting-bootstrapping","title":"Forecasting - bootstrapping","group":"","headers":[{"id":"Table of contents","anchor":"table-of-contents"},{"id":"Set-up","anchor":"set-up"},{"id":"Data and simulation set-up","anchor":"data-and-simulation-set-up"},{"id":"Simple forecast using the empirical data","anchor":"simple-forecast-using-the-empirical-data"},{"id":"Bootstrapping","anchor":"bootstrapping"},{"id":"References","anchor":"references"}]},{"id":"forecasting-non-equilibrium","title":"Backlog Forecasting - non-equilibrium","group":"","headers":[{"id":"Table of contents","anchor":"table-of-contents"},{"id":"Set-up","anchor":"set-up"},{"id":"Data and simulation set-up","anchor":"data-and-simulation-set-up"},{"id":"Preparation","anchor":"preparation"},{"id":"Simple forecast using the empirical data","anchor":"simple-forecast-using-the-empirical-data"},{"id":"First attempt to fit the data using a Poisson distribution","anchor":"first-attempt-to-fit-the-data-using-a-poisson-distribution"},{"id":"Analysis","anchor":"analysis"},{"id":"Second attempt","anchor":"second-attempt"},{"id":"Forecasting using a Poisson distribution","anchor":"forecasting-using-a-poisson-distribution"},{"id":"Total Monte Carlo","anchor":"total-monte-carlo"},{"id":"References","anchor":"references"}]},{"id":"forecasting-multiplot","title":"Throughput - Multiple Teams - Multi-plot","group":"","headers":[{"id":"Table of contents","anchor":"table-of-contents"},{"id":"Set-up","anchor":"set-up"},{"id":"Data and simulation set-up","anchor":"data-and-simulation-set-up"},{"id":"Analyze the data","anchor":"analyze-the-data"},{"id":"Fitting the data to a Poisson distribution","anchor":"fitting-the-data-to-a-poisson-distribution"},{"id":"Forecasting using a Poisson distribution","anchor":"forecasting-using-a-poisson-distribution"},{"id":"References","anchor":"references"}]},{"id":"forecasting-cycle-times","title":"Forecasting - using Cycle Times","group":"","headers":[{"id":"Table of contents","anchor":"table-of-contents"},{"id":"Set-up","anchor":"set-up"},{"id":"Data and simulation set-up","anchor":"data-and-simulation-set-up"},{"id":"Data analysis","anchor":"data-analysis"},{"id":"Empirical CDF","anchor":"empirical-cdf"},{"id":"Simple forecast using the empirical data","anchor":"simple-forecast-using-the-empirical-data"},{"id":"Forecasting using an Erlang distribution","anchor":"forecasting-using-an-erlang-distribution"},{"id":"Finding an appropriate subsequence","anchor":"finding-an-appropriate-subsequence"},{"id":"References","anchor":"references"}]}],"exceptions":[{"id":"Chi2fit.Distribution.UnsupportedDistributionError","title":"Chi2fit.Distribution.UnsupportedDistributionError","group":"","functions":[{"id":"exception/1","anchor":"exception/1"},{"id":"message/1","anchor":"message/1"}]},{"id":"Chi2fit.Utilities.UnknownSampleErrorAlgorithmError","title":"Chi2fit.Utilities.UnknownSampleErrorAlgorithmError","group":"","functions":[{"id":"exception/1","anchor":"exception/1"},{"id":"message/1","anchor":"message/1"}]},{"id":"Distribution.FunctionNotSupportedError","title":"Distribution.FunctionNotSupportedError","group":"","functions":[{"id":"exception/1","anchor":"exception/1"},{"id":"message/1","anchor":"message/1"}]}],"modules":[{"id":"Chi2fit.Cli","title":"Chi2fit.Cli","group":"","functions":[{"id":"main/0","anchor":"main/0"},{"id":"main/1","anchor":"main/1"}]},{"id":"Chi2fit.Distribution","title":"Chi2fit.Distribution","group":"","functions":[{"id":"guess/3","anchor":"guess/3"},{"id":"model/2","anchor":"model/2"}]},{"id":"Chi2fit.FFT","title":"Chi2fit.FFT","group":"","functions":[{"id":"fft/2","anchor":"fft/2"},{"id":"ifft/2","anchor":"ifft/2"},{"id":"normv/1","anchor":"normv/1"}],"types":[{"id":"complex/0","anchor":"t:complex/0"},{"id":"real/0","anchor":"t:real/0"}]},{"id":"Chi2fit.Fit","title":"Chi2fit.Fit","group":"","functions":[{"id":"chi2/4","anchor":"chi2/4"},{"id":"chi2fit/4","anchor":"chi2fit/4"},{"id":"chi2probe/4","anchor":"chi2probe/4"},{"id":"find_all/2","anchor":"find_all/2"},{"id":"find_change/2","anchor":"find_change/2"},{"id":"nopenalties/2","anchor":"nopenalties/2"}],"types":[{"id":"chi2/0","anchor":"t:chi2/0"},{"id":"chi2fit/0","anchor":"t:chi2fit/0"},{"id":"chi2probe/0","anchor":"t:chi2probe/0"},{"id":"chi2probe_saved/0","anchor":"t:chi2probe_saved/0"},{"id":"chi2probe_simple/0","anchor":"t:chi2probe_simple/0"},{"id":"cov/0","anchor":"t:cov/0"},{"id":"distribution/0","anchor":"t:distribution/0"},{"id":"model/0","anchor":"t:model/0"},{"id":"observable/0","anchor":"t:observable/0"},{"id":"observable_asym/0","anchor":"t:observable_asym/0"},{"id":"observable_symm/0","anchor":"t:observable_symm/0"},{"id":"observables/0","anchor":"t:observables/0"},{"id":"params/0","anchor":"t:params/0"}]},{"id":"Chi2fit.Matrix","title":"Chi2fit.Matrix","group":"","functions":[{"id":"diagonal/1","anchor":"diagonal/1"},{"id":"dotproduct/2","anchor":"dotproduct/2"},{"id":"from_diagonal/1","anchor":"from_diagonal/1"},{"id":"inverse/2","anchor":"inverse/2"},{"id":"norm/1","anchor":"norm/1"},{"id":"norm_1/1","anchor":"norm_1/1"},{"id":"norm_inf/1","anchor":"norm_inf/1"},{"id":"unit/1","anchor":"unit/1"}],"types":[{"id":"matrix/0","anchor":"t:matrix/0"},{"id":"vector/0","anchor":"t:vector/0"}]},{"id":"Chi2fit.Roots","title":"Chi2fit.Roots","group":"","functions":[{"id":"solve/1","anchor":"solve/1"}]},{"id":"Chi2fit.Utilities","title":"Chi2fit.Utilities","group":"","functions":[{"id":"adjust_times/2","anchor":"adjust_times/2"},{"id":"analyze/3","anchor":"analyze/3"},{"id":"as_table/2","anchor":"as_table/2"},{"id":"auto/2","anchor":"auto/2"},{"id":"binerror/3","anchor":"binerror/3"},{"id":"bootstrap/4","anchor":"bootstrap/4"},{"id":"convert_cdf/1","anchor":"convert_cdf/1"},{"id":"csv_to_list/3","anchor":"csv_to_list/3"},{"id":"cullen_frey/2","anchor":"cullen_frey/2"},{"id":"cullen_frey_point/1","anchor":"cullen_frey_point/1"},{"id":"der/3","anchor":"der/3"},{"id":"display/2","anchor":"display/2"},{"id":"display/5","anchor":"display/5"},{"id":"display_subsequences/3","anchor":"display_subsequences/3"},{"id":"empirical_cdf/4","anchor":"empirical_cdf/4"},{"id":"error/2","anchor":"error/2"},{"id":"forecast/4","anchor":"forecast/4"},{"id":"forecast_duration/2","anchor":"forecast_duration/2"},{"id":"forecast_items/2","anchor":"forecast_items/2"},{"id":"get_cdf/4","anchor":"get_cdf/4"},{"id":"integrate/5","anchor":"integrate/5"},{"id":"intervals/1","anchor":"intervals/1"},{"id":"jacobian/3","anchor":"jacobian/3"},{"id":"make_histogram/3","anchor":"make_histogram/3"},{"id":"map2weekdays/2","anchor":"map2weekdays/2"},{"id":"map2workhours/3","anchor":"map2workhours/3"},{"id":"mc/3","anchor":"mc/3"},{"id":"moment/2","anchor":"moment/2"},{"id":"momentc/2","anchor":"momentc/2"},{"id":"momentc/3","anchor":"momentc/3"},{"id":"momentn/2","anchor":"momentn/2"},{"id":"momentn/3","anchor":"momentn/3"},{"id":"momentn/4","anchor":"momentn/4"},{"id":"newton/5","anchor":"newton/5"},{"id":"puiseaux/3","anchor":"puiseaux/3"},{"id":"puts_errors/2","anchor":"puts_errors/2"},{"id":"read_data/1","anchor":"read_data/1"},{"id":"resample/2","anchor":"resample/2"},{"id":"richardson/5","anchor":"richardson/5"},{"id":"subsequences/1","anchor":"subsequences/1"},{"id":"throughput/2","anchor":"throughput/2"},{"id":"time_diff/2","anchor":"time_diff/2"},{"id":"to_bins/2","anchor":"to_bins/2"},{"id":"unzip/1","anchor":"unzip/1"}],"types":[{"id":"algorithm/0","anchor":"t:algorithm/0"},{"id":"avgsd/0","anchor":"t:avgsd/0"},{"id":"cdf/0","anchor":"t:cdf/0"},{"id":"cullenfrey/0","anchor":"t:cullenfrey/0"},{"id":"ecdf/0","anchor":"t:ecdf/0"},{"id":"method/0","anchor":"t:method/0"},{"id":"range/0","anchor":"t:range/0"}]},{"id":"Distribution","title":"Distribution","group":"","functions":[{"id":"cdf/1","anchor":"cdf/1"},{"id":"kurtosis/1","anchor":"kurtosis/1"},{"id":"pdf/1","anchor":"pdf/1"},{"id":"random/1","anchor":"random/1"},{"id":"size/1","anchor":"size/1"},{"id":"skewness/1","anchor":"skewness/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Bernoulli","title":"Distribution.Bernoulli","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Coin","title":"Distribution.Coin","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Constant","title":"Distribution.Constant","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Dice","title":"Distribution.Dice","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Erlang","title":"Distribution.Erlang","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Exponential","title":"Distribution.Exponential","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Frechet","title":"Distribution.Frechet","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Nakagami","title":"Distribution.Nakagami","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Normal","title":"Distribution.Normal","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Poisson","title":"Distribution.Poisson","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.SEP","title":"Distribution.SEP","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Uniform","title":"Distribution.Uniform","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Wald","title":"Distribution.Wald","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Distribution.Weibull","title":"Distribution.Weibull","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Gnuplotlib","title":"Gnuplotlib","group":"","functions":[{"id":"capture/1","anchor":"capture/1"},{"id":"ecdf/2","anchor":"ecdf/2"},{"id":"histogram/2","anchor":"histogram/2"},{"id":"multi/2","anchor":"multi/2"},{"id":"pdf/2","anchor":"pdf/2"}],"types":[{"id":"datapoint/0","anchor":"t:datapoint/0"}]},{"id":"NotebookUnit.Case","title":"NotebookUnit.Case","group":"","functions":[{"id":"md_headers/1","anchor":"md_headers/1"},{"id":"md_toc/1","anchor":"md_toc/1"},{"id":"nbrun/2","anchor":"nbrun/2"},{"id":"nbtest/1","anchor":"nbtest/1"}]}],"tasks":[]}